Show a Credit Note
curl --request GET \
--url https://public-api.stora.co/2025-09/credit_notes/{credit_note_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_note": {
"id": "cred_kk5h6lfm6ro15lon",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": "2025-02-22T14:41:00Z",
"invoice": {
"id": "inv_195h6kfm9ro15lof"
},
"line_items": [
{
"accounting_code": "ACC-CODE",
"amount": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"description": "T-shirt",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"quantity": 1,
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"type": "invoice_line_item"
}
],
"number": "C9E0C52C-0036-CN-5",
"reason": "other",
"refunded": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "issued",
"subtotal": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"total": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"type": "pre_payment"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Credit Notes
Show a Credit Note
Retrieve a specific credit note by its ID.
Supports PDF download. Set application/pdf in the Accept request header.
Required authorization scope: public.credit_note:read
GET
/
2025-09
/
credit_notes
/
{credit_note_id}
Show a Credit Note
curl --request GET \
--url https://public-api.stora.co/2025-09/credit_notes/{credit_note_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/credit_notes/{credit_note_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"credit_note": {
"id": "cred_kk5h6lfm6ro15lon",
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"created_at": "2025-02-22T14:41:00Z",
"invoice": {
"id": "inv_195h6kfm9ro15lof"
},
"line_items": [
{
"accounting_code": "ACC-CODE",
"amount": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"description": "T-shirt",
"discount_total": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"price": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"quantity": 1,
"tax": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"type": "invoice_line_item"
}
],
"number": "C9E0C52C-0036-CN-5",
"reason": "other",
"refunded": {
"amount": 0,
"currency": "GBP",
"formatted": "£0.00"
},
"site": {
"id": "site_14b419f1096013f1"
},
"status": "issued",
"subtotal": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"total": {
"amount": 1099,
"currency": "GBP",
"formatted": "£10.99"
},
"type": "pre_payment"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the credit note
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Was this page helpful?